# 自动生成数据库表和sqlalchemy对应的Model
import subprocess

from db import DB_URL

if __name__ == '__main__':
    table = input("请输入表名：")
    out_file = f"db/{table}.py"
    command = f"sqlacodegen {DB_URL} --outfile={out_file} --tables={table}"

    try:
        subprocess.run(command, shell=True, check=True)
        print(f"{table}.py文件生成成功！请检查并复制到合适的文件中！")
    except Exception as e:
        print(f"生成{table}.py文件时发生错误: {e}")
